Page MenuHomePhabricator

Popups EventLogging on TOC click fails validation
Closed, ResolvedPublic

Description

I added the JS to warn about validation errors and on testwiki (and meta and mediawiki) when I click any link I get

[undefined] Missing property "action"
[undefined] Value null is the wrong type for property "duration" (integer expected)

With ?debug=1 the console shows is:

"[undefined] Missing property "action"" ext.eventLogging.core.js:302
<anonymous> ext.eventLogging.core.js:302
mw.trackSubscribe/<() load.php:10744
jQuery.Callbacks/fire() load.php:3119
jQuery.Callbacks/self.fireWith() load.php:3231
jQuery.Callbacks/self.fire() load.php:3238
mw.track() load.php:10721
mw.eventLog.prepare() ext.eventLogging.core.js:185
mw.eventLog.logEvent() ext.eventLogging.core.js:295
eventLogging.logEvent() ext.popups.eventlogging.js:78
mw.popups.render.closePopup() ext.popups.renderer.js:167
mw.popups.render.render() ext.popups.renderer.js:76
mw.popups.setupTriggers/<() ext.popups.core.js:155
jQuery.event.dispatch() load.php:4640
jQuery.event.add/elemData.handle() load.php:4309

"[undefined] Value null is the wrong type for property "duration" (integer expected)" ext.eventLogging.core.js:302
<anonymous> ext.eventLogging.core.js:302
mw.trackSubscribe/<() load.php:10744
jQuery.Callbacks/fire() load.php:3119
jQuery.Callbacks/self.fireWith() load.php:3231
jQuery.Callbacks/self.fire() load.php:3238
mw.track() load.php:10721
mw.eventLog.prepare() ext.eventLogging.core.js:185
mw.eventLog.logEvent() ext.eventLogging.core.js:295
eventLogging.logEvent() ext.popups.eventlogging.js:78
mw.popups.render.closePopup() ext.popups.renderer.js:167
mw.popups.render.render() ext.popups.renderer.js:76
mw.popups.setupTriggers/<() ext.popups.core.js:155
jQuery.event.dispatch() load.php:4640
jQuery.event.add/elemData.handle() load.php:4309

The sent event is:
{

"event": {
    "duration": null,
    "sessionId": "kq0CRGu5wAyxMwtmshiIhyVa1KRplBNJ"
},
"clientValidated": false,
"revision": 7536956,
"schema": "Popups",
"webHost": "test.wikipedia.org",
"wiki": "testwiki"

}

Note "clientValidated": false`

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterFix event logging issues

Event Timeline

Spage raised the priority of this task from to High.
Spage updated the task description. (Show Details)
Spage added a project: Page-Previews.
Spage added subscribers: Spage, Prtksxna.
Quiddity moved this task from Backlog to Next Up on the Page-Previews board.Jan 10 2015, 12:07 AM
Quiddity updated the task description. (Show Details)Jan 10 2015, 12:29 AM

Change 184626 had a related patch set uploaded (by Prtksxna):
Fix event logging issues

https://gerrit.wikimedia.org/r/184626

Patch-For-Review

Change 184626 merged by Werdna:
Fix event logging issues

https://gerrit.wikimedia.org/r/184626

Quiddity closed this task as Resolved.Jan 20 2015, 10:29 PM

Patch merged, closing.

Quiddity moved this task from Next Up to Done on the Page-Previews board.Feb 22 2015, 10:27 PM